{%- set cover_title -%}
   {% if CI_COMMIT_BRANCH is defined and CI_COMMIT_BRANCH == "main" -%}
      {{ CI_COMMIT_REF_SLUG }} version ({{CI_COMMIT_SHORT_SHA | default("local")}})
   {%- else -%}
      {{CI_COMMIT_BRANCH|default("local")}} Release
   {%- endif -%}
{% endset -%}

{%- set site_name -%}{% block site_name %}Gaia-X Document{% endblock %}{% endset -%}

site_name: {{ site_name }} - {{ cover_title }}
site_description: Gaia-X specification to build trusted decentralised digital ecosystems.
site_author: Gaia-X European Association for Data and Cloud AISBL
repo_url: {% block rep_url %}{{CI_PROJECT_URL|default("http://localhost")}}{% endblock %}
copyright: ©2024 Gaia-X European Association for Data and Cloud AISBL
theme:
  name: material
  custom_dir: custom_theme
  palette:
    scheme: default
    primary: indigo
    accent: purple
  logo: assets/gx-logo.jpg
  favicon: assets/favicon.svg
  font:
    text: Titillium Web
  features:
    - content.tooltips
    - content.code.copy
    - navigation.tabs
    - navigation.sections
    - navigation.path
    - navigation.indexes

docs_dir: docs
site_dir: public

extra_css:
  - assets/extra.css
extra_javascript:
  - assets/mathjax.js
  - https://cdnjs.cloudflare.com/polyfill/v3/polyfill.min.js?version=4.8.0&features=es6
  - https://cdn.jsdelivr.net/npm/mathjax@3/es5/tex-mml-chtml.js
  - https://cdn.plot.ly/plotly-2.30.0.min.js
  - assets/report_issue.js

{% block nav %}
nav:
- index.md
{% endblock %}

plugins:
- search
- include-markdown
- glightbox
- kroki:
    ServerURL: https://kroki.lab.gronlier.fr/
- enumerate-headings
- git-revision-date-localized:
   enable_creation_date: true
   fallback_to_build_date: true
- print-site:
   add_cover_page: true
   cover_page_template: "docs/assets/pdf_cover_page.tpl"
   add_print_site_banner: false
   path_to_pdf: pdf/document.pdf
   include_css: true
   print_page_title: ''

markdown_extensions:
- pymdownx.arithmatex:
   generic: true
- smarty
- toc:
   permalink: true
- footnotes
- md_in_html
- plantuml_markdown:
   server: http://www.plantuml.com/plantuml
- pymdownx.emoji:
   emoji_index: !!python/name:material.extensions.emoji.twemoji
   emoji_generator: !!python/name:material.extensions.emoji.to_svg
- admonition
- pymdownx.details
- abbr
- attr_list
- pymdownx.snippets:
   auto_append:
      - includes/abbreviations.md
- tables
- pymdownx.highlight:
   anchor_linenums: true
- pymdownx.tabbed:
   alternate_style: true
- pymdownx.critic
- pymdownx.caret
- pymdownx.keys
- pymdownx.mark
- pymdownx.tilde
- pymdownx.smartsymbols
- pymdownx.tasklist:
   custom_checkbox: true
- pymdownx.superfences:
    custom_fences:
      - name: mermaid
        class: mermaid
        format: !!python/name:pymdownx.superfences.fence_code_format
